Groovy Documentation

## org.codehaus.groovy.transform.sc.transformers
[Java] Class CompareToNullExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.BinaryExpression
                      org.codehaus.groovy.transform.sc.transformers.CompareToNullExpression

All Implemented Interfaces:
  org.objectweb.asm.Opcodes

    public class CompareToNullExpression
    extends BinaryExpression

Constructor Summary
`CompareToNullExpression(Expression objectExpression, boolean compareToNull)`

Method Summary
`Expression` | `getObjectExpression()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class BinaryExpression
getLeftExpression, getOperation, getRightExpression, getText, newAssignmentExpression, newInitializationExpression, setLeftExpression, setRightExpression, toString, transformExpression, visit

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### CompareToNullExpression

    public CompareToNullExpression(Expression objectExpression, boolean compareToNull)

Method Detail

### getObjectExpression

    public Expression getObjectExpression()

### transformExpression

    @Override
    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    @Override
    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation